summaryrefslogtreecommitdiff
path: root/bin/extra/muz-sync
diff options
context:
space:
mode:
Diffstat (limited to 'bin/extra/muz-sync')
-rwxr-xr-xbin/extra/muz-sync10
1 files changed, 10 insertions, 0 deletions
diff --git a/bin/extra/muz-sync b/bin/extra/muz-sync
new file mode 100755
index 0000000..a81ef74
--- /dev/null
+++ b/bin/extra/muz-sync
@@ -0,0 +1,10 @@
+#!/bin/sh
+trap "exit 1" INT
+
+music="$(xdg-user-dir MUSIC)"
+>&2 printf "music: %s\n" "$music"
+
+# recursive, links, fuzzy, partial, progress
+while ! rsync -rlyP --size-only db:/media/basilisk/music/sorted/ "$music"
+do :
+done